# $Revision: 1.16 $, $Date: 2011/02/23 11:34:34 $
# TODO
# - move (to private dir) or rename .py files in bindir not to be so generic
# - %{py_sitescriptdir}/plugins/*.py[co] are duplicate in favour of %{_datadir}/libopensync1/python-plugins?
Summary:	SynCE - Synchronization engine
Summary(pl.UTF-8):	SynCE - silnik synchronizacji
Name:		synce-sync-engine
Version:	0.15.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	724c50f35cdd1fe5efb62588d19ecc52
URL:		http://www.synce.org/
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	libopensync-plugin-python >= 0.30
Requires:	python-dbus
Requires:	python-libxml2
Requires:	python-libxslt
Requires:	python-opensync >= 1:0.39-7
Requires:	python-pygobject
Requires:	python-pyrapi2 >= 0.12
Requires:	python-pyrra >= 0.12
Requires:	python-pyrtfcomp >= 1.1
Requires:	python-setuptools
Requires:	synce-connector
#Requires:	synce-pywbxml >= 0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SynCE - Synchronization engine.

%description -l pl.UTF-8
SynCE - silnik synchronizacji.

%prep
%setup -q

# Change python package path to normal on 'tools' folder
%{__sed} -i -e "#sys.path.insert(0,#d" tools/*.py

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/libopensync1/python-plugins
install -Dp plugins/synce-opensync-plugin-3x.py $RPM_BUILD_ROOT%{_datadir}/libopensync1/python-plugins
install -Dp config/org.synce.SyncEngine.service $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.synce.SyncEngine.service
install -Dp config/syncengine.conf.xml $RPM_BUILD_ROOT%{_sysconfdir}/syncengine.conf.xml

rm $RPM_BUILD_ROOT%{_docdir}/sync-engine/org.synce.SyncEngine.service
rm $RPM_BUILD_ROOT%{_docdir}/sync-engine/syncengine.conf.xml

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/syncengine.conf.xml
%attr(755,root,root) %{_bindir}/clean_partnerships.py
%attr(755,root,root) %{_bindir}/configure_bindings.py
%attr(755,root,root) %{_bindir}/create_partnership.py
%attr(755,root,root) %{_bindir}/delete_partnership.py
%attr(755,root,root) %{_bindir}/list_partnerships.py
%attr(755,root,root) %{_bindir}/sync-engine
%attr(755,root,root) %{_bindir}/synce-install-plugins.py
%{py_sitescriptdir}/*.egg-info
%dir %{py_sitescriptdir}/SyncEngine
%dir %{py_sitescriptdir}/SyncEngine/formats
%dir %{py_sitescriptdir}/SyncEngine/formats/tzutils
%dir %{py_sitescriptdir}/SyncEngine/formats30
%dir %{py_sitescriptdir}/SyncEngine/formats30/tzutils
%dir %{py_sitescriptdir}/plugins
%{py_sitescriptdir}/SyncEngine/*.py[co]
%{py_sitescriptdir}/SyncEngine/formats/*.py[co]
%{py_sitescriptdir}/SyncEngine/formats/*.xsl
%{py_sitescriptdir}/SyncEngine/formats/tzutils/*.py[co]
%{py_sitescriptdir}/SyncEngine/formats30/*.py[co]
%{py_sitescriptdir}/SyncEngine/formats30/*.xsl
%{py_sitescriptdir}/SyncEngine/formats30/tzutils/*.py[co]
%{py_sitescriptdir}/plugins/*.py[co]
%dir %{py_sitescriptdir}/SyncEngine/wbxml
%{py_sitescriptdir}/SyncEngine/wbxml/*.py[co]
%{_datadir}/libopensync1/python-plugins/synce-opensync-plugin-3x.py
%{_datadir}/dbus-1/services/org.synce.SyncEngine.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-sync-engine.spec,v $
Revision 1.16  2011/02/23 11:34:34  glen
- up to 0.15.1

Revision 1.15  2010/11/23 05:49:24  arekm
- release 3

Revision 1.14  2010/07/09 07:12:25  glen
- not so strict deps

Revision 1.13  2010/07/09 06:11:41  glen
- build optimized pyo

Revision 1.12  2010/06/15 23:13:32  arvenil
- up to 0.15
- adapter

Revision 1.11  2008/10/30 23:02:31  sls
- replace requirement synce-odccm with R: synce-connector (from synce-libsynce.spec)

Revision 1.10  2008/10/15 20:34:08  sls
- BR: python-setuptools (R: setuptools? strange)

Revision 1.9  2008/10/03 18:05:34  arekm
- release 3

Revision 1.8  2008/09/16 11:31:34  patrys
- can't be noarch
- rel 2

Revision 1.7  2008/09/16 11:04:15  patrys
- 0.12

Revision 1.6  2008/06/27 10:23:42  tiwek
- add config file

Revision 1.5  2008/05/16 21:53:10  wolvverine
- up to 0.11.1

Revision 1.4  2008-01-27 01:15:31  glen
- use version macro

Revision 1.3  2008-01-27 01:07:53  glen
- update to 0.11, noarch now

Revision 1.2  2007-09-02 16:57:16  qboosh
- pl
- revised deps
- compile Python files in py_sitedir
- License is GPL (v2+)

Revision 1.1  2007/08/29 22:00:30  glen
- new, based on ebuild from their svn
